## org.eclipse.jst.jsf.designtime
Class DTAppManagerUtil

    java.lang.Object
      org.eclipse.jst.jsf.designtime.DTAppManagerUtil

    public class DTAppManagerUtil

extends java.lang.Object

Utility methods for dealing with `DesignTimeApplicationManager`

Constructor Summary
`DTAppManagerUtil()`

Method Summary
`static org.eclipse.jst.jsf.designtime.internal.view.IDTViewHandler` `getViewHandler(IProject project)`
`static org.eclipse.jst.jsf.designtime.internal.view.IViewRootHandle` `getViewRootHandle(IResource res)`
`static org.eclipse.jst.jsf.designtime.internal.view.IViewRootHandle` `getViewRootHandle(IStructuredDocumentContext context)`
`static org.eclipse.jst.jsf.designtime.internal.view.XMLViewDefnAdapter` `getXMLViewDefnAdapter(IFile file)` Equivalent to getXMLViewDefnAdapter(file.getProject(), file)
`static org.eclipse.jst.jsf.designtime.internal.view.XMLViewDefnAdapter` `getXMLViewDefnAdapter(IProject project, IFile file)`
`static org.eclipse.jst.jsf.designtime.internal.view.XMLViewDefnAdapter` `getXMLViewDefnAdapter(IStructuredDocumentContext context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTAppManagerUtil

    public DTAppManagerUtil()

Method Detail

### getXMLViewDefnAdapter

    public static org.eclipse.jst.jsf.designtime.internal.view.XMLViewDefnAdapter getXMLViewDefnAdapter(IStructuredDocumentContext context)

  Parameters:
    `context` -
  Returns:
    the view adapter for context or null if none.

### getXMLViewDefnAdapter

    public static org.eclipse.jst.jsf.designtime.internal.view.XMLViewDefnAdapter getXMLViewDefnAdapter(IFile file)

  Equivalent to getXMLViewDefnAdapter(file.getProject(), file)

  Parameters:
    `file` -
  Returns:
    the XMLViewDefnAdapter or null

### getXMLViewDefnAdapter

    public static org.eclipse.jst.jsf.designtime.internal.view.XMLViewDefnAdapter getXMLViewDefnAdapter(IProject project,
                                                                                                        IFile file)

  Parameters:
    `project` -
    `file` -
  Returns:
    an XMLViewDefnAdapter for file in project or null if not applicable

### getViewHandler

    public static org.eclipse.jst.jsf.designtime.internal.view.IDTViewHandler getViewHandler(IProject project)

  Parameters:
    `project` -
  Returns:
    the view handler for project or null if none.

### getViewRootHandle

    public static org.eclipse.jst.jsf.designtime.internal.view.IViewRootHandle getViewRootHandle(IStructuredDocumentContext context)

  Parameters:
    `context` -
  Returns:
    the view root handle from this context or null if can't get one.

### getViewRootHandle

    public static org.eclipse.jst.jsf.designtime.internal.view.IViewRootHandle getViewRootHandle(IResource res)

  Parameters:
    `res` -
  Returns:
    the view root handle for the resource